<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/PPEManager/Materials/MatClasses/Exceptions/PPELightIntensityParamsNative.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d72/_p_p_e_light_intensity_params_native_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PPELightIntensityParamsNative.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d72/_p_p_e_light_intensity_params_native_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">//---------------------------------------------------------</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">//Native exceptions - legacy methods for direct access to specific postprocesses. Each one is evaluated and handled separately, this just connects them to the system.</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">    5</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a>: <a class="code hl_class" href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>{</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    <span class="comment">//g_Game.SetEVValue</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#ac30077fd4d1680770986a93128493f5f">    8</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#ac30077fd4d1680770986a93128493f5f">PARAM_LIGHT_MULT</a> = 0;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a84bf70d7182be894a439f64254ff539d">    9</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a84bf70d7182be894a439f64254ff539d">PARAM_NOISE_MULT</a> = 1;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#adc66b0e90836666915d930d6487b2413">   11</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#adc66b0e90836666915d930d6487b2413">L_0_NVG</a> = 100;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#aedeff0576d9914256f0d28f2192c4af9">   12</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#aedeff0576d9914256f0d28f2192c4af9">L_0_TOXIC_TINT</a> = 200;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a9668612a5840e2ef4e38ecf5ebe390a1">   13</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a9668612a5840e2ef4e38ecf5ebe390a1">L_1_NVG</a> = 100;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a331bcc2d887bf07a564d544de54f2d08">   14</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a331bcc2d887bf07a564d544de54f2d08">L_1_TOXIC_TINT</a> = 200;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a2d32e66e04ea75bbcd35f527a91aa6cb">   16</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a2d32e66e04ea75bbcd35f527a91aa6cb">GetPostProcessEffectID</a>()</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a>.NVLIGHTPARAMS;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#aafb512bb9eec938f8522cd54c056f14a">   21</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#aafb512bb9eec938f8522cd54c056f14a">RegisterMaterialParameters</a>()</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#ac30077fd4d1680770986a93128493f5f">PARAM_LIGHT_MULT</a>,<span class="stringliteral">&quot;lightIntensityMul&quot;</span>,1.0,0.0,50.0); <span class="comment">//some reasonable values</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a84bf70d7182be894a439f64254ff539d">PARAM_NOISE_MULT</a>,<span class="stringliteral">&quot;noiseIntensity&quot;</span>,0.0,0.0,50.0); <span class="comment">//some reasonable values</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a154f97335c13e4c53981e24ed73dd104">   27</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a154f97335c13e4c53981e24ed73dd104">ApplyValueChanges</a>()</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d3/ddf/class_p_p_e_class_base.html#a170d3e45faaa08d99fcf1a8fe7639630">m_UpdatedParameters</a>.Count() &gt; 0)</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <a class="code hl_function" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#af80305d8cb6d41f746d4e45188c74ce1">SetFinalParameterValue</a>(-1); <span class="comment">//unique handling</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_variable" href="../../d3/ddf/class_p_p_e_class_base.html#a170d3e45faaa08d99fcf1a8fe7639630">m_UpdatedParameters</a>.Clear();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#af80305d8cb6d41f746d4e45188c74ce1">   38</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#af80305d8cb6d41f746d4e45188c74ce1">SetFinalParameterValue</a>(<span class="keywordtype">int</span> parameter_idx)</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;float&gt;</a> array_values = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;float&gt;</a>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a84bf70d7182be894a439f64254ff539d">PARAM_NOISE_MULT</a> + 1; i++)</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> values = <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#aecc4a40a634deaaff895a53d697a1a55">GetParameterCommandData</a>(i).<a class="code hl_function" href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a580865b54a845dccc6c9643f2cf6b422">GetCurrentValues</a>();</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <span class="keywordtype">float</span> value_var_float = Param1&lt;float&gt;.Cast(values).<a class="code hl_variable" href="../../d9/dc3/group___tools.html#a02e7edfb1b311070dd87b04ca5a8cfdc">param1</a>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            array_values.Insert(value_var_float);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.NightVissionLightParams(array_values.Get(<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#ac30077fd4d1680770986a93128493f5f">PARAM_LIGHT_MULT</a>),array_values.Get(<a class="code hl_variable" href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a84bf70d7182be894a439f64254ff539d">PARAM_NOISE_MULT</a>));</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="comment">//DbgPrnt(&quot;PPEDebug | SetFinalParameterValue | PPELightIntensityParamsNative | float val: &quot; + value_var_float);</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>}</div>
<div class="ttc" id="a_day_z_game_8c_html_a5b4f7935d7cbb89f7a4610452d633707"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a></div><div class="ttdeci">DayZGame g_Game</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l03147">DayZGame.c:3147</a></div></div>
<div class="ttc" id="a_p_p_e_constants_8c_html_a9e272c9bdd16c16284f7871e266096e5"><div class="ttname"><a href="../../d1/d76/_p_p_e_constants_8c.html#a9e272c9bdd16c16284f7871e266096e5">PPEExceptions</a></div><div class="ttdeci">PPEExceptions</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d76/_p_p_e_constants_8c_source.html#l00041">PPEConstants.c:42</a></div></div>
<div class="ttc" id="aclass_p_p_e_class_base_html"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div><div class="ttdoc">Created once, on manager init. Script-side representation of C++ material class, separate handling.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00002">PPEMatClassesBase.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_class_base_html_a170d3e45faaa08d99fcf1a8fe7639630"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html#a170d3e45faaa08d99fcf1a8fe7639630">PPEClassBase::m_UpdatedParameters</a></div><div class="ttdeci">protected ref array&lt; int &gt; m_UpdatedParameters</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00010">PPEMatClassesBase.c:10</a></div></div>
<div class="ttc" id="aclass_p_p_e_class_base_html_aecc4a40a634deaaff895a53d697a1a55"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html#aecc4a40a634deaaff895a53d697a1a55">PPEClassBase::GetParameterCommandData</a></div><div class="ttdeci">PPEMatClassParameterCommandData GetParameterCommandData(int parameter_idx)</div><div class="ttdoc">Some PP effects are handled as hard-coded exceptions, outside of material system. Default == PPEExcep...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00350">PPEMatClassesBase.c:350</a></div></div>
<div class="ttc" id="aclass_p_p_e_class_base_html_afdb1572dadef790be5856fb27fbbbf02"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">PPEClassBase::RegisterParameterScalarFloat</a></div><div class="ttdeci">protected void RegisterParameterScalarFloat(int idx, string parameter_name, float default_value, float min, float max)</div><div class="ttdoc">WARNING - min/max values are usually taken from Workbench defaults, may not be actual min/max values ...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00077">PPEMatClassesBase.c:77</a></div></div>
<div class="ttc" id="aclass_p_p_e_light_intensity_params_native_html"><div class="ttname"><a href="../../de/d8b/class_p_p_e_light_intensity_params_native.html">PPELightIntensityParamsNative</a></div><div class="ttdoc">g_Game.NightVissionLightParams, does not directly use materials. Controls light multiplication and fi...</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d72/_p_p_e_light_intensity_params_native_8c_source.html#l00005">PPELightIntensityParamsNative.c:6</a></div></div>
<div class="ttc" id="aclass_p_p_e_light_intensity_params_native_html_a154f97335c13e4c53981e24ed73dd104"><div class="ttname"><a href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a154f97335c13e4c53981e24ed73dd104">PPELightIntensityParamsNative::ApplyValueChanges</a></div><div class="ttdeci">override void ApplyValueChanges()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d72/_p_p_e_light_intensity_params_native_8c_source.html#l00027">PPELightIntensityParamsNative.c:27</a></div></div>
<div class="ttc" id="aclass_p_p_e_light_intensity_params_native_html_a2d32e66e04ea75bbcd35f527a91aa6cb"><div class="ttname"><a href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a2d32e66e04ea75bbcd35f527a91aa6cb">PPELightIntensityParamsNative::GetPostProcessEffectID</a></div><div class="ttdeci">override int GetPostProcessEffectID()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d72/_p_p_e_light_intensity_params_native_8c_source.html#l00016">PPELightIntensityParamsNative.c:16</a></div></div>
<div class="ttc" id="aclass_p_p_e_light_intensity_params_native_html_a331bcc2d887bf07a564d544de54f2d08"><div class="ttname"><a href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a331bcc2d887bf07a564d544de54f2d08">PPELightIntensityParamsNative::L_1_TOXIC_TINT</a></div><div class="ttdeci">static const int L_1_TOXIC_TINT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d72/_p_p_e_light_intensity_params_native_8c_source.html#l00014">PPELightIntensityParamsNative.c:14</a></div></div>
<div class="ttc" id="aclass_p_p_e_light_intensity_params_native_html_a84bf70d7182be894a439f64254ff539d"><div class="ttname"><a href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a84bf70d7182be894a439f64254ff539d">PPELightIntensityParamsNative::PARAM_NOISE_MULT</a></div><div class="ttdeci">static const int PARAM_NOISE_MULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d72/_p_p_e_light_intensity_params_native_8c_source.html#l00009">PPELightIntensityParamsNative.c:9</a></div></div>
<div class="ttc" id="aclass_p_p_e_light_intensity_params_native_html_a9668612a5840e2ef4e38ecf5ebe390a1"><div class="ttname"><a href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#a9668612a5840e2ef4e38ecf5ebe390a1">PPELightIntensityParamsNative::L_1_NVG</a></div><div class="ttdeci">static const int L_1_NVG</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d72/_p_p_e_light_intensity_params_native_8c_source.html#l00013">PPELightIntensityParamsNative.c:13</a></div></div>
<div class="ttc" id="aclass_p_p_e_light_intensity_params_native_html_aafb512bb9eec938f8522cd54c056f14a"><div class="ttname"><a href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#aafb512bb9eec938f8522cd54c056f14a">PPELightIntensityParamsNative::RegisterMaterialParameters</a></div><div class="ttdeci">override void RegisterMaterialParameters()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d72/_p_p_e_light_intensity_params_native_8c_source.html#l00021">PPELightIntensityParamsNative.c:21</a></div></div>
<div class="ttc" id="aclass_p_p_e_light_intensity_params_native_html_ac30077fd4d1680770986a93128493f5f"><div class="ttname"><a href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#ac30077fd4d1680770986a93128493f5f">PPELightIntensityParamsNative::PARAM_LIGHT_MULT</a></div><div class="ttdeci">static const int PARAM_LIGHT_MULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d72/_p_p_e_light_intensity_params_native_8c_source.html#l00008">PPELightIntensityParamsNative.c:8</a></div></div>
<div class="ttc" id="aclass_p_p_e_light_intensity_params_native_html_adc66b0e90836666915d930d6487b2413"><div class="ttname"><a href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#adc66b0e90836666915d930d6487b2413">PPELightIntensityParamsNative::L_0_NVG</a></div><div class="ttdeci">static const int L_0_NVG</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d72/_p_p_e_light_intensity_params_native_8c_source.html#l00011">PPELightIntensityParamsNative.c:11</a></div></div>
<div class="ttc" id="aclass_p_p_e_light_intensity_params_native_html_aedeff0576d9914256f0d28f2192c4af9"><div class="ttname"><a href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#aedeff0576d9914256f0d28f2192c4af9">PPELightIntensityParamsNative::L_0_TOXIC_TINT</a></div><div class="ttdeci">static const int L_0_TOXIC_TINT</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d72/_p_p_e_light_intensity_params_native_8c_source.html#l00012">PPELightIntensityParamsNative.c:12</a></div></div>
<div class="ttc" id="aclass_p_p_e_light_intensity_params_native_html_af80305d8cb6d41f746d4e45188c74ce1"><div class="ttname"><a href="../../de/d8b/class_p_p_e_light_intensity_params_native.html#af80305d8cb6d41f746d4e45188c74ce1">PPELightIntensityParamsNative::SetFinalParameterValue</a></div><div class="ttdeci">override void SetFinalParameterValue(int parameter_idx)</div><div class="ttdoc">Overriden to handle the specific exception.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d72/_p_p_e_light_intensity_params_native_8c_source.html#l00038">PPELightIntensityParamsNative.c:38</a></div></div>
<div class="ttc" id="aclass_p_p_e_mat_class_parameter_command_data_html_a580865b54a845dccc6c9643f2cf6b422"><div class="ttname"><a href="../../d9/d75/class_p_p_e_mat_class_parameter_command_data.html#a580865b54a845dccc6c9643f2cf6b422">PPEMatClassParameterCommandData::GetCurrentValues</a></div><div class="ttdeci">Param GetCurrentValues()</div><div class="ttdoc">Careful, only actual values, WITHOUT string.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/db1/_p_p_e_mat_class_parameter_command_data_8c_source.html#l00122">PPEMatClassParameterCommandData.c:122</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agroup___tools_html_a02e7edfb1b311070dd87b04ca5a8cfdc"><div class="ttname"><a href="../../d9/dc3/group___tools.html#a02e7edfb1b311070dd87b04ca5a8cfdc">Param::param1</a></div><div class="ttdeci">T1 param1</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00034">param.c:34</a></div></div>
<div class="ttc" id="agroup___tools_html_de/d90/class_param"><div class="ttname"><a href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a></div><div class="ttdoc">Base Param Class with no parameters. Used as general purpose parameter overloaded with Param1 to Para...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00011">param.c:12</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_6c0cee39f72e4a24103cd1ca1fbae1cc.html">PPEManager</a></li><li class="navelem"><a class="el" href="../../dir_8bc3653e9bcdee59a0a321a7f331d675.html">Materials</a></li><li class="navelem"><a class="el" href="../../dir_228b1874a3aee11e6530a88a8cb14f93.html">MatClasses</a></li><li class="navelem"><a class="el" href="../../dir_51ed8c60a7b329a5133b2e65d53d271b.html">Exceptions</a></li><li class="navelem"><a class="el" href="../../d7/d72/_p_p_e_light_intensity_params_native_8c.html">PPELightIntensityParamsNative.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
